include "console.iol"
include "file.iol"
include "string_utils.iol"

type FileRequestType: void {
	.filename: string
}

inputPort In {
Location: "socket://localhost:8000"
Protocol: sodep
RequestResponse: getFile( FileRequestType )( raw )
}

type FileRequestType: void {
	.filename: string
}

main
{
  getFile( file )( response ){
  	println@Console( file.filename )();
  	file.format = format = "binary";
  	readFile@File( file )( response ) 
  }
}